/*
 *  Copyright (c) 2022 Akshit Sinha <akshitsinha3@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify it under
 *  the terms of the GNU General Public License as published by the Free Software
 *  Foundation; either version 3 of the License, or (at your option) any later
 *  version.
 *
 *  This program is distributed in the hope that it will be useful, but WITHOUT ANY
 *  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 *  PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along with
 *  this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.ichi2.anki.servicelayer

import com.ichi2.anki.CardUtils
import com.ichi2.libanki.CardId
import com.ichi2.libanki.Collection

object CardService {
    /**
     * get unique note ids from a list of card ids
     * @param selectedCardIds list of card ids
     * can do better with performance here
     */
    fun selectedNoteIds(col: Collection, selectedCardIds: List<CardId>) =
        CardUtils.getNotes(
            col,
            selectedCardIds.map { col.getCard(it) }
        ).map { it.id }
}
